// FILENAME:	CTF_Bunkers.cs
//
// AUTHOR:  	Com. Sentinal [M.I.B.]
// MODIFIED BY: [OF] Pincushion - 11 Sept 2000, 1 October 2000.
//              (Zen pads, buildings in center, turret code, non-zero flag time)
//
// Turrets are inactive by default. See instructions below to activate them.
//------------------------------------------------------------------------------

$missionName = "CTF_Bunker2";

$maxFlagCount  = 8;           // no of flags required by a team to end the game
$flagValue     = 5;          // points your team gets for capturing
$carrierValue  = 2;          //  "      "    "    "    " killing carrier
$killPoints    = 1;
$deathPoints   = 1;
$flagTime = 240;

exec("multiplayerStdLib.cs");
exec("CTFstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = false;
}

function onMissionStart()
{
	initGlobalVars();
	marsSounds();

	// Zen parameters
	$healRate = 100;   
	$ammoRate = 3;
   	$padWaitTime = 45;
  	$zenWaitTime = 60;

	// to ENABLE turrets comment out any or all of the following lines...
	// LL = lower left, LR = lower right, UL = upper left, UR = upper right
	order("MissionGroup\\BlueLLTurret",shutdown,true);
	order("MissionGroup\\BlueLRTurret",shutdown,true);
	order("MissionGroup\\BlueULTurret",shutdown,true);
	order("MissionGroup\\BlueURTurret",shutdown,true);
	order("MissionGroup\\PurpleLLTurret",shutdown,true);
	order("MissionGroup\\PurpleLRTurret",shutdown,true);
	order("MissionGroup\\PurpleULTurret",shutdown,true);
	order("MissionGroup\\PurpleURTurret",shutdown,true);
}

function ZenAll::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_ALLPAD, true, true);  
}

function ZenAll::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, $ammoRate, $padWaitTime, true); 
}

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to CTF Bunker2! Enter the towers by walking under them. Created by Sentinal [M.I.B.], modified by [OF] Pincushion.");
}

function onMissionLoad(){
   cdAudioCycle("Yougot", "Newtech", "Mechsoul"); 
}

function setDefaultMissionItems()
{
   allowComponent( 880, FALSE  );  //Rocket Booster
}

function ZenTransporter::trigger::onContact(%this, %object)
{
	setPosition(%object, 1167.82, -560.213, 858);
}

function ZenTransporter2::trigger::onContact(%this, %object)
{
	setPosition(%object, 463.076, -575.612, 858);
}

function ZenTransporter3::trigger::onContact(%this, %object)
{
	setPosition(%object, 1072.38, 1743.04, 791);
}

function ZenTransporter4::trigger::onContact(%this, %object)
{
	setPosition(%object, 386.72, 2161.59, 819);
}

function ball1::structure::onAttacked(%this, %attacker){
	setPosition(%attacker, -1867.88, 1809.29, 423);
}

function ball2::structure::onAttacked(%this, %attacker){
	setPosition(%attacker, -1867.88, 1809.29, 423);
}

function ball3::structure::onAttacked(%this, %attacker){
	setPosition(%attacker, -1867.88, 1809.29, 423);
}

function ball4::structure::onAttacked(%this, %attacker){
	setPosition(%attacker, -1867.88, 1809.29, 423);
}
